package com.example.demo.licznik;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.SessionAttributes;

@Controller
@SessionAttributes({"licznik"})
public class AController5 {
	// W tej wersji atrybut modelu żyje w zakresie sesji.
	
	@ModelAttribute
	public Licznik getLicznik() {
		return new Licznik("v5 z metody", 500);
	}
	
	@GetMapping("/test5")
	public String test5(@ModelAttribute Licznik licznik) {
		return "licznik.html";
	}
	

}
